/*
Author: Sean James
Website: SeanJamesInteractive.com
Date: September 29, 2015
*/
jQuery( document ).ready(function() {
		
		
		var h_tag_arr = ['H1','H2','H3','H4','H5','H6','H7','H8'];
		var pad_bottom = 10;
		
		jQuery('.sji-accordion > li').each(function() {
			
			var tab_color = '#EEE';
			
			if( jQuery(this).parent().attr('tab-color') ){
				tab_color = jQuery(this).parent().attr('tab-color');
			}
			
			
			if( jQuery.inArray(jQuery(this).children().get(0).tagName, h_tag_arr) != -1 ){
				
				jQuery(this).css('display','block');
				
				var this_h_tag = jQuery(this).children().get(0).tagName;
				var this_h_tag_height = jQuery(this).find(this_h_tag).height();
				
				var this_title = jQuery(this).find(this_h_tag).html();
				
				var this_content = jQuery(this).html();
				
				jQuery(this).html('<div class="sji-content-wrapper"><div class="data"></div></div>');
				
				jQuery(this).find('.sji-content-wrapper > .data').html(this_content);
				jQuery(this).find('.sji-content-wrapper > .data '+this_h_tag).remove();
				
				if( jQuery(this).parent().hasClass('tab') ){
					
					jQuery('<span class="tab" style="background-color:'+ tab_color +'" ><'+this_h_tag+'>'+this_title+'</'+this_h_tag+'></span>').insertBefore( jQuery(this).find('.sji-content-wrapper') );
					
					jQuery(this).find('.sji-content-wrapper > .data').css({'border':'1px solid '+ tab_color});
					
				}else{
					jQuery('<span class="no-tab"><'+this_h_tag+'>'+this_title+'</'+this_h_tag+'></span>').insertBefore( jQuery(this).find('.sji-content-wrapper') );
				
				}
				
				
				if( jQuery(this).parent().hasClass('arrow') ){
					jQuery('<span class="title-icon-arrow"><span></span></span>').insertBefore( jQuery(this).find(this_h_tag) );
				}
				
				if( jQuery(this).parent().hasClass('circle') ){
					jQuery('<span class="title-icon-circle"><span></span><span></span></span>').insertBefore( jQuery(this).find(this_h_tag) );
					
				}
				
				
				jQuery('.sji-accordion li').find('.sji-content-wrapper').hide();
								
				jQuery(this).find(this_h_tag).parent().click(function(e){
					toggle_content( jQuery(this).parent() );
					
					var this_tab = jQuery(this).find(this_h_tag).parent();
					
					setTimeout(function(){
						/*jQuery('body').scrollTop( jQuery(this_tab).offset().top - 100 );*/
						jQuery('html, body').animate({
							scrollTop: jQuery(this_tab).offset().top - 130
						}, 500)
						
					}, 300)
					
				});
				
			}else{
				
				jQuery(this).css('display','none');
				
			}
			
		});
		
		
		if( jQuery('.sji-accordion').hasClass('open') ){
			toggle_content( jQuery('.sji-accordion.open li:first-child') );
		}
		
		
		function toggle_content( this_element ){
			
			jQuery(this_element).find('.sji-content-wrapper').animate({
				height: 'toggle'
			});
			
			jQuery('.sji-accordion li').not(this_element).find('.sji-content-wrapper').animate({
				height: 'hide'
			});
			
			
			if( jQuery(this_element).hasClass('open') ){
				jQuery(this_element).removeClass('open');
				
				jQuery('.sji-accordion li').find('.title-icon-arrow span').css({
					'-ms-transform':'rotate(45deg)', 
					'-webkit-transform':'rotate(45deg)', 
					'transform':'rotate(45deg)',
					'margin-top':'0%'
				});
				
				jQuery('.sji-accordion li').find('.title-icon-circle span:nth-child(2)').css({
					'-ms-transform':'rotate(90deg)', 
					'-webkit-transform':'rotate(90deg)', 
					'transform':'rotate(90deg)'
				});
				
				
				if( jQuery('.sji-accordion').hasClass('tab') ){
					jQuery('.sji-accordion li').find('.tab').css({'border-radius':'5px'})
				}
								
			}else{
				jQuery(this_element).addClass('open');
				
				
				jQuery('.sji-accordion li').find('.title-icon-arrow span').css({
						'-ms-transform':'rotate(-135deg)', 
						'-webkit-transform':'rotate(-135deg)', 
						'transform':'rotate(-135deg)',
						'margin-top':'60%'
				})
				
				
				jQuery('.sji-accordion li').find('.title-icon-circle span:nth-child(2)').css({
						'-ms-transform':'rotate(0deg)', 
						'-webkit-transform':'rotate(0deg)', 
						'transform':'rotate(0deg)'
				})
				
				if( jQuery('.sji-accordion').hasClass('tab') ){
					jQuery('.sji-accordion li').find('.tab').css({'border-radius':'5px 5px 0px 0px'})
				}
				
			}
			
			
			jQuery('.sji-accordion li').not(this_element).removeClass('open');
			
			jQuery('.sji-accordion li').not(this_element).find('.title-icon-arrow span').css({
				'-ms-transform':'rotate(45deg)', 
				'-webkit-transform':'rotate(45deg)', 
				'transform':'rotate(45deg)',
				'margin-top':'0%'
			});
			
			
			jQuery('.sji-accordion li').not(this_element).find('.title-icon-circle span:nth-child(2)').css({
				'-ms-transform':'rotate(90deg)', 
				'-webkit-transform':'rotate(90deg)', 
				'transform':'rotate(90deg)'
			});
			
			
			if( jQuery('.sji-accordion').hasClass('tab') ){
				jQuery('.sji-accordion li').not(this_element).find('.tab').css({'border-radius':'5px'})
			}
			
			
		}
		
		
});